2023-12-03 19:35
php加油
2023-11-30 14:26
php官方协程库 revolt.run ~ amphp是在此基础上实现的PHP原生协程框架
2023-11-29 13:48
啥时候原生支持多线程啊
2023-11-30 09:33
有协程用就够了, 还要什么线程
2023-11-29 12:30
整个类似spring cloud的微服务,支持强类型,完善生态,估计好多人就不用什么java了!
2023-11-28 16:34
paozhu web框架 可以结合c++ php编程,这样phper可以平稳过渡到c++
2023-11-27 22:06
PHP5.0用到PHP8.1,新项目一律8.1+,公司业务最低已经7.4了。
8.3 估计年底跟进,年后考虑跟进。如一些PHPer所说引入原生Swoole,最需要得就是原生实现,但考虑到社区属性,没有盈利性公司跟进,基本上很难。
2023-11-27 17:07
php在7之后看不到什么很特别的生产力改进,倒越来越向其他语言靠拢风格。。
2023-11-27 13:01
还不加油,快完了,还在特性上做文章
2023-11-27 10:12
@osc_87959725 amphp 生态太拉了
2023-11-28 15:44
比如呢?哪些没有?
2023-11-27 10:08
2023年PHP只有2个web框架 一个webman 一个amphp 其他的真不建议用了
2023-11-30 10:55
hyperf团队做了那么多微服务的支持,被你批的一文不值。webman确实优秀,不过hyperf也很强呀
2023-11-30 14:24
hyperf很强 zanphp easyswoole swoft 也都很强啊
2023-12-01 18:05
别带情绪说。zanphp还推荐我不知道咋想的,有赞官方都弃坑了好吗。easyswoole入门就是靠它,swoft没用过,hyperf每周更新。
2023-11-27 09:06
赶紧起来,目前经济状况更加需要你
2023-11-27 07:27
这语言还在更新
2023-11-26 18:33
8.0我才开始用...
2023-11-25 20:38
多加一些接地气的函数才是真
2023-11-25 00:03
php开发者对类型标注的接受度如何?
2023-11-25 14:07
应该是无缝对接。省的 (int) (string) 了,也挺好的。
2023-11-30 15:13
类型自动推导不好吗
2023-12-01 00:03
不是所有时候都能自动推导。比如定义函数的时候,它的参数的数据类型需要显式指定
2023-11-24 23:02
无处不在的 $、$this、->、:: 这些特殊字符,让人呕吐
2023-11-29 18:14
还有 /
2023-11-30 09:31
除过$,其他都是从c/c++那边学过来的, 不喜欢他们的::和->,比python的.多四倍的键盘按压次数
2023-11-24 18:29
动态语言都在强类型,静态语言都在搞类型推导。
2023-11-24 18:06
PHPer从棺材板跳出来:“卧槽,我成java了!”;
2023-11-24 14:59
目前线上项目大多都还停留在7.4版本,别搞这些新特性了,先把基础库做好,去看看人家Golang,后来追上,增加了大量标准库。要不你直接把swoole或者swow原生实现进来,再把数组、字符串相关的函数标准化一下。最好能像go一样可以直接编译成二进制文件,一件部署。
2023-11-30 09:16
那为什么不直接用golang?
2023-11-30 15:11
php开发效率高
2023-11-24 09:11
自从开始准备OSCP之后,我发现PHP是世界上最好的语言,这个梗太NB了
2023-11-24 08:57
PHP越来越不像批PHP了 怎么感觉有点Rust的感觉了呢
2023-11-27 09:07
你说反了
2023-11-30 09:29
确实,rust很多语法和php好像
2023-11-30 16:12
举个例子比如?
2023-12-01 15:43
这句话反过来说就对了,rust和很多语言很像
2023-11-23 20:47
PHP是世界上最好的语言!
2023-11-23 20:28
这特么,90%企业没用上8.0,8.0就已经停止维护了
2023-11-28 15:48
确实啊 这组委会不思进取,PHP协程又好几个版本没动静了! 要是当年PHP6的强类型出来 就另外一个场景了 被这些人拖死了
2023-11-23 20:16
php666
2023-11-23 18:03
进入维护模式吧。别在加薪特性了。。
2023-11-24 15:28
怎麼可能,活着肯定要更新啊。
2023-11-23 17:46
我能说,还在使用5.2吗?
2023-11-23 17:22
没什么改进啊
2023-11-23 16:16
8版本确实比7快,比5块多了
2023-11-23 14:36
yyds
2023-11-23 13:51
😎我司是 PHP5.6 忠实用户。我司誓要与PHP5.6 共存亡(屎山太多了,推动补了升级)
2023-11-23 14:09
连7都没用上啊?咱们的屎山5年前都改过来了。
2023-11-23 14:31
PHP向下兼容性还是可以的。可以分模块,分应用来迁移。迁移可以先签到7.x版本,然后再迁移到php8版本。
2023-11-23 16:52
没有这shi山还失业了呢
回复 @
{{emojiItem.symbol}}
返回顶部
顶部